[Desktop Entry]
Encoding=UTF-8
Type=ServiceType
X-TDE-ServiceType=Amarok/Plugin
Comment=Plugin for Amarok

# Type of plugin, e.g. "engine".
[PropertyDef::X-TDE-Amarok-plugintype]
Type=TQString

# Internal name for identification, not translated.
[PropertyDef::X-TDE-Amarok-name]
Type=TQString

# List of authors.
[PropertyDef::X-TDE-Amarok-authors]
Type=TQStringList

# List of author's email addresses.
[PropertyDef::X-TDE-Amarok-email]
Type=TQStringList

# Priority of the plugin. When TDETrader returns multiple offers, the one with the highest rank is chosen.
# Range: 0 (disabled) - 255 (highest)
[PropertyDef::X-TDE-Amarok-rank]
Type=int

# Version of the plugin.
[PropertyDef::X-TDE-Amarok-version]
Type=int

# Version of the framework this plugin is compatible with.
# Must be bumped after making binary incompatible changes.
[PropertyDef::X-TDE-Amarok-framework-version]
Type=int

# If true, Amarok will show a warning dialog about the experimental nature of this plugin.
[PropertyDef::X-TDE-Amarok-experimental]
Type=bool
